/**
 * EasyBeans
 * Copyright (C) 2009-2011 Bull S.A.S.
 * Contact: easybeans@ow2.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 * --------------------------------------------------------------------------
 * $Id: ConcurrencyManagementType.java 6008 2011-10-17 13:41:22Z benoitf $
 * --------------------------------------------------------------------------
 */

package javax.ejb;


/**
 * Concurrency management type. CONTAINER : Container managed concurrency BEAN : Bean managed concurrency CONCURRENCY_NOT_ALLOWED : Concurrency not allowed .
 * @see <a href="http://www.jcp.org/en/jsr/detail?id=318">EJB 3.1 specification</a>
 * @author Florent Benoit
 * @since EJB 3.1 version.
 */
public enum ConcurrencyManagementType {

    /**
     * Bean.
     */
    BEAN,

    /**
     * Container.
     */
    CONTAINER
}
